scala.runtime
class RichString

[source: `scala/runtime/RichString.scala`]

`final` `class` RichString(`val` self : String)
  `extends` Proxy `with` RandomAccessSeq[Char]`with` Ordered[String]

Method Summary
`override def` | ++ [B >: Char](that : Iterable[B]) : RandomAccessSeq[B] Appends two iterable objects.
`override def` | apply (n : Int) : Char
`def` | capitalize : String Returns this string with first character converted to upper case
`override def` | compare (other : String) : Int Result of comparing `this` with operand `that`. returns `x` where `x < 0` iff `this < that` `x == 0` iff `this == that` `x > 0` iff `this > that`
`override def` | containsSlice [B](that : Seq[B]) : Boolean Is `that` a slice in this?
`override def` | drop (from : Int) : RichString Returns this sequence without its `n` first elements If this sequence has less than `n` elements, the empty sequence is returned. (non-strict)
`override def` | endsWith [B](that : Seq[B]) : Boolean
`override def` | indexOf [B](that : Seq[B]) : Int
`override def` | length : Int Returns the length of the sequence.
`def` | lines : Iterator[String] Return all lines in this string in an iterator, excluding trailing line end characters, i.e. apply `.stripLineEnd` to all lines returned by `linesWithSeparators`.
`def` | linesWithSeparators : Iterator[String] Return all lines in this string in an iterator, including trailing line end characters. The number of strings returned is one greater than the number of line end characters in this string. For an empty string, a single empty line is returned. A line end character is one of LF - line feed (0x0A hex) FF - form feed (0x0C hex)
`override def` | mkString : String Converts a collection into a flat `String` by each element's toString method.
`override def` | slice (from : Int, until : Int) : RichString A sub-sequence of `len` elements starting at index `from` (non-strict)
`def` | split (separators : Array[Char]) : Array[String]
`def` | split (separator : Char) : Array[String]
`override def` | startsWith [B](that : Seq[B]) : Boolean
`def` | stripLineEnd : String Strip trailing line end character from this string if it has one. A line end character is one of LF - line feed (0x0A hex) FF - form feed (0x0C hex) If a line feed character LF is preceded by a carriage return CR (0x0D hex), the CR character is also stripped (Windows convention).
`def` | stripMargin (marginChar : Char) : String For every line in this string: Strip a leading prefix consisting of blanks or control characters followed by `marginChar` from the line.
`def` | stripMargin : String For every line in this string: Strip a leading prefix consisting of blanks or control characters followed by `|` from the line.
`override def` | take (until : Int) : RichString Returns a sequence consisting only over the first `n` elements of this sequence, or else the whole sequence, if it has less than `n` elements. (non-strict)
`def` | toByte : Byte
`def` | toDouble : Double
`def` | toFloat : Float
`def` | toInt : Int
`def` | toLong : Long
`def` | toShort : Short
`override def` | toString : String

Methods inherited from Ordered
<, >, <=, >=, compareTo

Methods inherited from RandomAccessSeq
projection, elements, reverse, toStream, safeIs

Methods inherited from Seq
lengthCompare, size, isEmpty, concat, last, lastOption, headOption, isDefinedAt, lastIndexOf, map, flatMap, filter, takeWhile, dropWhile, contains, subseq, toArray, equalsWith

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from Proxy
hashCode, equals

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` apply(n : Int) : Char

`override` `def` length : Int

  Returns the length of the sequence.

Returns
  the sequence length.

`override` `def` toString : String

Overrides
  Proxy.toString

`override` `def` mkString : String

  Converts a collection into a flat `String` by each element's toString method.

Notes
  Will not terminate for infinite-sized collections.

`override` `def` slice(from : Int, until : Int) : RichString

  A sub-sequence of `len` elements starting at index `from` (non-strict)

Parameters
  `from -` The index of the first element of the slice
  `until -` The index of the element following the slice
Throws
  `IndexOutOfBoundsException -` if `from < 0` or `length < from + len```

Overrides
  RandomAccessSeq.slice

`override` `def` ++[B >: Char](that : Iterable[B]) : RandomAccessSeq[B]

  Appends two iterable objects.

Overrides
  RandomAccessSeq.++

`override` `def` take(until : Int) : RichString

  Returns a sequence consisting only over the first `n` elements of this sequence, or else the whole sequence, if it has less than `n` elements. (non-strict)

Parameters
  `n -` the number of elements to take
Returns
  a possibly projected sequence

Overrides
  RandomAccessSeq.take

`override` `def` drop(from : Int) : RichString

  Returns this sequence without its `n` first elements If this sequence has less than `n` elements, the empty sequence is returned. (non-strict)

Parameters
  `n -` the number of elements to drop
Returns
  the new sequence

Overrides
  RandomAccessSeq.drop

`override` `def` startsWith[B](that : Seq[B]) : Boolean

Returns
  s true if this sequence start with that sequences
See Also
  String.startsWith

`override` `def` endsWith[B](that : Seq[B]) : Boolean

Returns
  s true if this sequence end with that sequence
See Also
  String.endsWith

`override` `def` indexOf[B](that : Seq[B]) : Int

Returns
  s -1 if `that` not contained in this, otherwise the index where `that` is contained
See Also
  String.indexOf

`override` `def` containsSlice[B](that : Seq[B]) : Boolean

  Is `that` a slice in this?

`override` `def` compare(other : String) : Int

  Result of comparing `this` with operand `that`. returns `x` where `x < 0` iff `this < that` `x == 0` iff `this == that` `x > 0` iff `this > that`

Overrides
  Ordered.compare

`` `def` stripLineEnd : String

  Strip trailing line end character from this string if it has one. A line end character is one of

  - LF - line feed (0x0A hex)
  - FF - form feed (0x0C hex)

  If a line feed character LF is preceded by a carriage return CR (0x0D hex), the CR character is also stripped (Windows convention).

`` `def` linesWithSeparators : Iterator[String]

  Return all lines in this string in an iterator, including trailing line end characters.

  The number of strings returned is one greater than the number of line end characters in this string. For an empty string, a single empty line is returned. A line end character is one of

  - LF - line feed (0x0A hex)
  - FF - form feed (0x0C hex)

`` `def` lines : Iterator[String]

  Return all lines in this string in an iterator, excluding trailing line end characters, i.e. apply `.stripLineEnd` to all lines returned by `linesWithSeparators`.

`` `def` capitalize : String

  Returns this string with first character converted to upper case

`` `def` stripMargin(marginChar : Char) : String

  For every line in this string:

  > Strip a leading prefix consisting of blanks or control characters followed by `marginChar` from the line.

`` `def` stripMargin : String

  For every line in this string:

  > Strip a leading prefix consisting of blanks or control characters followed by `|` from the line.

@throws(classOf[java.util.regex.PatternSyntaxException])
`` `def` split(separator : Char) : Array[String]

@throws(classOf[java.util.regex.PatternSyntaxException])
`` `def` split(separators : Array[Char]) : Array[String]

`` `def` toByte : Byte

`` `def` toShort : Short

`` `def` toInt : Int

`` `def` toLong : Long

`` `def` toFloat : Float

`` `def` toDouble : Double